<form [formGroup]="form" novalidate>
  <div class="row">
    <div class="col-24">
      <div class="form-group form-group-sm">
        <dx-radio-group #sType [items]="usrSrvc.searchCode?.types"
                        displayExpr="description"
                        valueExpr="value"
                        formControlName="type"
                        layout="horizontal"
                        (onValueChanged)="setType(sType.value)">
        </dx-radio-group>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-24">
      <div class="form-group form-group-sm">
        <dx-select-box [items]="columns" name="column" formControlName="column"
                       displayExpr="description" valueExpr="value" searchMode="startswith"
                       [searchEnabled]="true" [searchExpr]="['description']" required>
        </dx-select-box>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-11">
      <div class="form-group form-group-sm">
        <input type="text" (keyup.enter)="search()" class="form-control form-control-sm" name="query"
               formControlName="query" required />
      </div>
    </div>
    <div class="col-13">
      <button class="btn btn-sm btn-secondary" (click)="search()">Search</button>
      <button class="btn btn-sm btn-secondary ml-1" (click)="advancedSearchNewTab()"
              *ngIf="!usrSrvc.searchCode?.isCandUser">
        Advanced Search
      </button>
    </div>
  </div>
</form>
